%define upstream_name    Daemon-Shutdown
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Shutdown Daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(User)
BuildRequires: perl(YAML::Any)
BuildArch:  noarch

%description
Tests the spin state of all the disks listed in "disks" every "loop_sleep".
When all disks are in spun down state, the flag "trigger_pending" is set.
If a further "trigger_time" seconds pass and all disks are still in a spun
down state, the trigger is sent back to the parent process (return 1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sdd
/usr/share/man/man1/sdd.1.xz

%changelog

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177818
- update to 0.11

* Tue Nov 08 2011 kharec <kharec> 0.90.0-1.mga2
+ Revision: 165634
- update to 0.09

* Tue Nov 08 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 165240
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163422
- imported package perl-Daemon-Shutdown


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
